/*
 * $Id: lexer.h,v 1.4 2005/12/30 16:32:22 mark Exp $
 * 
 * lexer.h - lexical analysis header file
 *
 * Copyright (C) 2002, 2003, 2004 Mark Willson.
 * 
 * This file is part of the vc program.
 *
 * vc is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * vc is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with vc; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define S_UNDEF -1
#define S_INT 0
#define S_EOE 1
#define S_EOF 2
#define S_STR 3
#define S_VAR 4
#define S_USTR 5 /* unterminated string */
#define S_GTEQ 6
#define S_LTEQ 7
#define S_NEQ 8
#define S_EQ 9

#define LEXTOKSIZ 72
#define LEXBUFSIZ 255

extern int lexsym;
extern char lextok[];

extern void lexer(void);
extern void lexmatch(char ch);
extern void init_lexer(char *s);


