/*
 * $Id: rdp.c,v 1.3 2004/11/05 21:56:05 mark Exp $
 *
 *
 * 	NAME
 *      rdp - Recursive Descent Parser
 * 	
 * 	SYNOPSIS
 *		rdp [-x]
 *
 *		Use -x to turn on debug
 *		
 * 	DESCRIPTION
 *      rdp is the driver test-bed for a recursive descent parser
 *      for simple expressions.
 *
 * 	MODIFICATION HISTORY
 * 	Mnemonic		Rel	Date	Who
 *	RDP				1.0	030501	MPW
 *		Created.
 *
 * Copyright (C) 2002, 2003, 2004 Mark Willson.
 *
 * This file is part of the vc program.
 *
 * vc is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * vc is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with vc; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include <stdlib.h>
#include <stdio.h>
#include "parser.h"
#include "symtab.h"

#define BUFSZ 80

char cchar;
int debug = FALSE;

int main(int argc, char *argv[])
{
	char buf[BUFSZ+1];
    int retval;
	char *s;

	while (--argc > 0 && (*++argv)[0] == '-') {
		for (s=argv[0]+1;*s != '\0'; s++) {
			switch (*s) {
			case 'x':
				debug = TRUE;
				break;
			}
		}
	}
	

    initvar();
    printf("rdp: enter expressions (debug is %s)\n\n",(debug?"ON":"OFF"));
	
	while (fgets(buf,BUFSZ,stdin)) 	{
		retval = peval(buf);
		if (retval != 0) {
			printf("rdp: %s\n",geterrmsg(retval));
		}
	}
    return EXIT_SUCCESS;
}

